Bug 126628 - sysutils/heartbeat incorrect detect interfaces during IPaddr stop
sysutils/heartbeat incorrect detect interfaces during IPaddr stop
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Stefan Walter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-18 16:40 UTC by barzog
Modified: 2008-10-16 19:10 UTC (History)
0 users

See Also:


Attachments
file.diff (469 bytes, patch)
2008-08-18 16:40 UTC, barzog
no flags Details | Diff
smime.p7s (2.83 KB, application/x-pkcs7-signature)
2008-09-04 14:48 UTC, barzog
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description barzog 2008-08-18 16:40:02 UTC
We have following ifconfig:
[root@albatros2 ~]# ifconfig
bge0: flags=8802<BROADCAST,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=9b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM>
        ether 00:1e:0b:5a:d4:16
        media: Ethernet autoselect (none)
        status: no carrier
bge1: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=9b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM>
        ether 00:1e:0b:5a:d4:17
        media: Ethernet 100baseTX <full-duplex>
        status: active
lo0: flags=8049<UP,LOOPBACK,RUNNING,MULTICAST> metric 0 mtu 16384
        inet 127.0.0.1 netmask 0xff000000
pfsync0: flags=0<> metric 0 mtu 1460
        syncpeer: 224.0.0.240 maxupd: 128
pflog0: flags=141<UP,RUNNING,PROMISC> metric 0 mtu 33160
vlan0: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=3<RXCSUM,TXCSUM>
        ether 00:1e:0b:5a:d4:17
        inet 172.16.2.242 netmask 0xffffff00 broadcast 172.16.2.255
        inet 172.16.2.2 netmask 0xffffffff broadcast 172.16.2.2
        media: Ethernet 100baseTX <full-duplex>
        status: active
        vlan: 106 parent interface: bge1
vlan1: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=3<RXCSUM,TXCSUM>
        ether 00:1e:0b:5a:d4:17
        inet 213.184.225.47 netmask 0xffffffff broadcast 213.184.225.47
        media: Ethernet 100baseTX <full-duplex>
        status: active
        vlan: 208 parent interface: bge1
When heartbeat trying to stop IPaddr resource on vlan0 it detects following:
[root@albatros2 ~]# /usr/local/etc/ha.d/resource.d/IPaddr 172.16.2.2/24/vlan0 stop
2008/08/18_18:31:15 info: /sbin/route -n delete -host 172.16.2.2
delete host 172.16.2.2
2008/08/18_18:31:15 info: /sbin/ifconfig pflog0 vlan0 inet 172.16.2.2 -alias
ifconfig: vlan0: bad value
2008/08/18_18:31:15 WARN: IP Address 172.16.2.2 NOT released

So in turn causes system reload.

Fix: New detection routine getted from heartbeat 2.1.3 follows


Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-08-18 22:41:53 UTC
Maintainer of sysutils/heartbeat,

Please note that PR ports/126628 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/126628

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-08-18 22:41:56 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 scott-ports 2008-08-22 01:25:19 UTC
On Mon, Aug 18, 2008 at 09:41:53PM +0000, Edwin Groothuis wrote:
>Maintainer of sysutils/heartbeat,
>
>Please note that PR ports/126628 has just been submitted.
>
>If it contains a patch for an upgrade, an enhancement or a bug fix
>you agree on, reply to this email stating that you approve the patch
>and a committer will take care of it.
>
>The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/126628


I accept the changes, and encourage Oleg to submit the patch upstream.
Information about contacting the development mailing list is available at

   http://linux-ha.org/ContactUs


-- 
Regards,                    tummy.com, ltd
Scott Kleihege              Linux Consulting since 1995
                            http://www.tummy.com/
Comment 4 Mark Linimon freebsd_committer 2008-08-22 05:22:51 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 barzog 2008-09-04 14:48:22 UTC
It seems that neither this patch or similar patch in 
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/121050 is not included 
in source tree.
I've tried to contact with developers. This heartbeat version (1.2.5) is 
rather outdated (2 years old) and is not longer maintained. They have 
new stable 2.x branch. Port replacement is available in 
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/121050, may be we 
should drop old port in favor of heartbeat2?
Comment 6 Stefan Walter freebsd_committer 2008-10-16 19:04:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 7 dfilter freebsd_committer 2008-10-16 19:07:38 UTC
stefan      2008-10-16 18:07:22 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/heartbeat   Makefile 
  Added files:
    sysutils/heartbeat/files patch-heartbeat_resource.d_IPaddr.in 
  Log:
  Fix detection of interfaces.
  
  PR:             126628
  Submitted by:   Oleg Gawriloff <barzog@telecom.by>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.15      +1 -1      ports/sysutils/heartbeat/Makefile
  1.1       +11 -0     ports/sysutils/heartbeat/files/patch-heartbeat_resource.d_IPaddr.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Stefan Walter freebsd_committer 2008-10-16 19:07:41 UTC
State Changed
From-To: open->closed

Patch committed, thanks!